## org.mortbay.jetty.security
Interface Authenticator

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BasicAuthenticator, ClientCertAuthenticator, DigestAuthenticator, FormAuthenticator

    public interface Authenticator

extends Serializable

Authenticator Interface. This is the interface that must be implemented to provide authentication implementations to the HttpContext.

Method Summary
`Principal` `authenticate(UserRealm realm, String pathInContext, Request request, Response response)` Authenticate.
`String` `getAuthMethod()`

Method Detail

### authenticate

    Principal authenticate(UserRealm realm,
                           String pathInContext,
                           Request request,
                           Response response)
                           throws IOException

  Authenticate.

  Parameters:
    `realm` - an `UserRealm` value
    `pathInContext` - a `String` value
    `request` - a `Request` value
    `response` - a `Response` value. If non-null response is passed, then a failed authentication will result in a challenge response being set in the response.
  Returns:
    User `Principal` if authenticated. Null if Authentication failed. If the SecurityConstraint.__NOBODY instance is returned, the request is considered as part of the authentication process.
  Throws:
    `IOException` - if an error occurs

### getAuthMethod

    String getAuthMethod()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.